Bug 109003 - Directories in yum.conf's [serverid}
Summary: Directories in yum.conf's [serverid}
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: yum   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-04 06:33 UTC by Ralf Corsepius
Modified: 2014-01-21 22:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-21 22:44:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2003-11-04 06:33:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031027

Description of problem:
yum accepts directories in yum.conf's [serverid], but doesn't create them.


Version-Release number of selected component (if applicable):
yum-2.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. Add a [serverid] containing a directory name, e.g.:

                                                                     
                                                                      
[ftp.fedora.us/0.95/stable]
name=Fedora/0.95/stable
baseurl=ftp://ftp.quicknet.nl/pub/Linux/ftp.fedora.us/fedora/redhat/0.95/i386/yum/stable

2. run
yum check-update

    

Actual Results:  yum chokes on /var/cache/yum/ftp.fedora.us/0.95/stable
not being present.

Expected Results:  Yum should either create the directory or complain
about this not being a legal [serverid].

I'd prefer the former.


Additional info:

Work-around: Manually create the cache-directory.

Comment 1 Seth Vidal 2003-11-12 19:10:59 UTC
triage->upstream


Note You need to log in before you can comment on or make changes to this bug.